import 'package:flutter/material.dart';
import 'package:puma_firebase/entities/fireuser.dart';
import 'package:puma_firebase/firebase.dart';
import 'package:sign_in_with_apple/sign_in_with_apple.dart';

class AppleSignInButton extends StatefulWidget {
  final Function(bool, PumaFireUser?) onCompleted;
  final Function(dynamic) onError;
  final String text;

  const AppleSignInButton({
    Key? key,
    required this.onCompleted,
    required this.onError,
    this.text = "Sign in with Apple",
  }) : super(key: key);

  @override
  AppleSignInButtonState createState() => AppleSignInButtonState();
}

class AppleSignInButtonState extends State<AppleSignInButton> {
  @override
  Widget build(BuildContext context) {
    return SignInWithAppleButton(
      onPressed: () async {
        PumaFirebase.signInWithApple(
          onCompleted: widget.onCompleted,
          onError: widget.onError,
        );
      },
    );
  }
}
